# Hapi Panda ES

Briefly, it ain't a story about a happy panda bear, but it's actually a plugin wrapper for Hapi17 built over panda-es-orm nodeJS plugin.

## Configuration

The configuration follows the reference in the panda-es-orm node module.

https://github.com/replsv/panda-es-orm/tree/elasticsearch7#configuration

Eg.
```js
my-manifest.json
{
    "server": {
      "register": {
        "plugins": [
          {
            "plugin": "hapi-panda-es",
            "options": {
              "connection": {
                "node": "http://10.10.10.19:9204",
                "version": 7
              },
              "logger": {
                "level": 10
              }
            }
          }
        ]
      }
    }
}
```

## Server decorations

- pandaES - the entire plugin - usable for creating your own models and so on
- pandaEsOrm - instance of the ORM

## How to use it?

Browse the nodeJS' examples dir as you might get a flavour on how to use it. Do this using the exposed server decorations where needed.

## Compatibility and dependencies

- joi ^13.1.1
- panda-es-orm ^0.1.0
- hapi ^17.0.0
- node >= 8

## Versions
- 0.1.* -> supports Hapi17 and ES5 / ES6
- 1.0.* -> supports Hapi18 and ES5 / ES6 / ES7